# ISLocalToGlobalMappingCreateNC

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingCreateNC(MPI_Comm cm,PetscInt n,const PetscInt indices[],ISLocalToGlobalMapping *mapping)

Not Collective, but communicator may have more than one process

### Input Parameters

| comm | - MPI communicator
| n | - the number of local elements
| indices | - the global index for each local element

### Output Parameter

mapping -new mapping data structure

Notes: Does not copy the indices, just keeps the pointer to the indices. The ISLocalToGlobalMappingDestroy() will free the space so it must be obtained with PetscMalloc() and it must not be freed elsewhere.

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingCreate()

Level:developer
Location: src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages